Bug 231809 - (xmlrpc-epi) Review Request: xmlrpc-epi - An implementation of the xmlrpc protocol in C
Review Request: xmlrpc-epi - An implementation of the xmlrpc protocol in C
Status: CLOSED DUPLICATE of bug 539388
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks: secondlife
  Show dependency treegraph
 
Reported: 2007-03-12 04:18 EDT by Callum Lerwick
Modified: 2009-11-19 19:44 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-16 10:18:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PATCH: fix 64 bit warnings (1.38 KB, patch)
2007-05-28 03:34 EDT, Hans de Goede
no flags Details | Diff

  None (edit)
Description Callum Lerwick 2007-03-12 04:18:59 EDT
Spec URL: http://www.haxxed.com/rpms/secondlife/xmlrpc-epi.spec
SRPM URL: http://www.haxxed.com/rpms/secondlife/xmlrpc-epi-0.51-1.src.rpm

Description: An implementation of the xmlrpc protocol in C.

This library is required by the Second Life client.
Comment 1 Callum Lerwick 2007-03-14 01:43:06 EDT
http://www.haxxed.com/rpms/secondlife/xmlrpc-epi.spec
http://www.haxxed.com/rpms/secondlife/xmlrpc-epi-0.51-2.src.rpm

* Tue Mar 13 2007 Callum Lerwick <seg@haxxed.com> 0.51-2
- Ooops, the use-system-expat patch was completely broken. Fixed.
Comment 2 Neal Becker 2007-04-15 15:27:18 EDT
Conflicts with xmlrpc-c-devel?

Installing packages (4):
  xmlrpc-epi-0.51-2@x86_64               xmlrpc-epi-devel-0.51-2@x86_64
  xmlrpc-epi-debuginfo-0.51-2@x86_64     xmlrpc-epi-examples-0.51-2@x86_64

206.9kB of package files are needed. 730.5kB will be used.

Confirm changes? (Y/n): y

Committing transaction...

error: file /usr/lib64/libxmlrpc.so from install of xmlrpc-epi-devel-0.51-2 
conflicts with file from package xmlrpc-c-devel-1.06.11-2.fc6
Comment 3 Hans de Goede 2007-05-03 14:21:10 EDT
(In reply to comment #2)
> Conflicts with xmlrpc-c-devel?
> 
> Installing packages (4):
>   xmlrpc-epi-0.51-2@x86_64               xmlrpc-epi-devel-0.51-2@x86_64
>   xmlrpc-epi-debuginfo-0.51-2@x86_64     xmlrpc-epi-examples-0.51-2@x86_64
> 
> 206.9kB of package files are needed. 730.5kB will be used.
> 
> Confirm changes? (Y/n): y
> 
> Committing transaction...
> 
> error: file /usr/lib64/libxmlrpc.so from install of xmlrpc-epi-devel-0.51-2 
> conflicts with file from package xmlrpc-c-devel-1.06.11-2.fc6
> 

Hmm, nasty.

Well as xmlrpc-c is I would like to suggest that you rename the lib (and its
soname to libxmlrpc-epi.so.X . Can you provide a new package with this fixed?
Then I'll do a full review for you.

I just rea today that mandrake wants to include the second life client in their
next release and I want to beat them to it by having it readuy for Fedora 7 :)

So let me know if you need any help with openjpeg or the client itself.

Comment 4 Callum Lerwick 2007-05-07 02:42:32 EDT
Yeah I noticed spot fixed that in his package but I was getting confused as to
why I wasn't hitting it and backburnered it in favor of other bugs. :) I'll fix
this in the next round of compiles...
Comment 5 Callum Lerwick 2007-05-27 21:21:52 EDT
http://www.haxxed.com/rpms/secondlife/xmlrpc-epi.spec
http://www.haxxed.com/rpms/secondlife/xmlrpc-epi-0.51-3.src.rpm

* Sat May 26 2007 Callum Lerwick <seg@haxxed.com> 0.51-3
- Rename the library so we don't conflict with xmlrpc-c.
Comment 6 Hans de Goede 2007-05-28 03:34:03 EDT
Created attachment 155533 [details]
PATCH: fix 64 bit warnings

MUST:
=====
* rpmlint output is:
* Package and spec file named appropriately
* Packaged according to packaging guidelines
* License ok
* spec file is legible and in Am. English.
* Source matches upstream
* Compiles and builds on devel x86_64
* BR: ok
* No locales
* ldconfig properly run for shared libraries
* Not relocatable
* Package owns / or requires all dirs
* No duplicate files & Permissions
* %clean & macro usage OK
* Contains code only
* %doc does not affect runtime, and isn't large enough to warrent a sub package

* -devel as package needed
* no .desktop file required

Must Fix:
---------
* Main package group should be System Environment/Libraries, 
  Development/Libraries is only for -devel sub packages.
* There are a few 64 bit related warning, please apply the attached patch to
  fix this. Also in general you may want to take a stab at fixing some of the
  other compiler warnings, esp. the missing prototypes ones.
* Change license to BSD-ish (it isn't the real BSD license)

Should Fix:
-----------
* Change Source0 URL from:
  Source0: http://dl.sf.net/sourceforge/xmlrpc-epi/xmlrpc-epi-%{version}.tar.gz

  To the (new guidelines adviced one):
  http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
  Notice that the current one doesn't work for me (spectool -g)
* Move NEWS to main package %doc, remove now empty %doc from devel
* remove empty %doc from examples %files
Comment 7 Mamoru TASAKA 2007-06-22 00:26:36 EDT
ping?
Comment 8 Mamoru TASAKA 2007-07-03 14:26:54 EDT
ping again?
Comment 9 Mamoru TASAKA 2007-08-10 01:40:16 EDT
ping again??
Comment 10 Mamoru TASAKA 2007-09-24 09:18:41 EDT
ping again??
Comment 11 Mamoru TASAKA 2007-10-03 05:34:52 EDT
Well, what should we do with this review request?
Comment 12 Callum Lerwick 2007-10-03 15:09:08 EDT
It's needed for Second Life. I'm currently concentrating on OpenJPEG, but I've
been busy with various RL issues. I'll get back to it... eventually. :P
Comment 13 Ian Weller 2008-02-03 14:24:24 EST
i tried looking up the license and it only shows up on one page in google at
http://www.thepromisedlan.org/flatnuke/sections/Download/Freedom/LICENSE-libraries-linux.txt
under "xmlrpc-epi license". i'm not sure if this is can be packaged in fedora
based on the license, and if it can, what do we call it?

(the license also shows up at
http://xmlrpc-epi.sourceforge.net/main.php?t=license )

i'm assuming the reason it was considered "BSD" before was because that is what
it is considered on the sf.net project home page.

i'm not sure where to make an upstream inquiry, their devel list on sf.net has
turned into a spam list.
Comment 14 Hans de Goede 2008-02-03 15:02:02 EST
(In reply to comment #13)
> i tried looking up the license and it only shows up on one page in google at
>
http://www.thepromisedlan.org/flatnuke/sections/Download/Freedom/LICENSE-libraries-linux.txt
> under "xmlrpc-epi license". i'm not sure if this is can be packaged in fedora
> based on the license, and if it can, what do we call it?
> 

The license listed here:
http://xmlrpc-epi.sourceforge.net/main.php?t=license

Is perfectly fine, what makes you unsure about this? Its just a variant of the
MIT license, and as such we will call it MIT, more specific see:
http://fedoraproject.org/wiki/Licensing/MIT

And then do a word for word comparision between the xmlrpc-epi and the "Modern
Style with sublicense" MIT variant. Notice how they are almost 100% the same?
Comment 15 Ian Weller 2008-02-03 15:30:22 EST
two other thoughts -- 
1. should all of the subpackages have the same documentation files, or are we
   going to consider that redundant? rpmlint complains about there being no
   documentation in the subpackages.
2. *-examples installs the examples in %{_bindir}, and the examples have
   relatively generic names. this seems like it could potentially cause conflicts
   with other packages. shouldn't they be store within %doc, inside an EXAMPLES
   directory or the like?
Comment 16 Hans de Goede 2008-02-26 16:01:27 EST
Callum, ping?
Comment 17 David Timms 2008-03-15 05:12:24 EDT
callum: have you made further progress ?
would you like some patches to address the above issues ?
Comment 18 Hans de Goede 2008-04-04 05:06:14 EDT
(In reply to comment #17)
> callum: have you made further progress ?
> would you like some patches to address the above issues ?

David, maybe you are interested in picking this up? Callum seems to be spending
most if its time working on secondlife itself (mostly upstream).
Comment 19 Callum Lerwick 2008-04-04 07:33:31 EDT
Hrm, I tried to post something earlier but bugzilla was b0rked at the time.

I've been in contact with some Debian people (who are working on packaging
Second Life for Debian) who have decided to take over upstream xmlrpc-epi
maintenance since the previous upstream is quite dead. They've been able to get
access to the Sourceforge project and it looks like they released a 0.52 tarball
which should have all the current needed patches merged.

They also pointed out PHP is carrying a private copy of xmlrpc-epi, they're
working on merging in the PHP changes (Which seems to consist of the same fixes
everyone else needs anyway) so PHP can be built against an external copy. Fedora
policy dictates we do likewise when this package is accepted, so I guess we need
to get the PHP maintainers in on this review...

I suggest reading through their ITP:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=413986

I suppose if someone really wants to take this package over, I wouldn't mind. I
already have my work cut out for me with the Second Life client itself... :)

Also of note, there was a rather vague message from a Linden Lab developer
saying xmlrpc is being phased out:

https://lists.secondlife.com/pipermail/sldev/2008-March/008733.html

Which would seem to imply the use of xmlrpc-epi in the SL client may be
discontinued at some point in the hand-wavey future.
Comment 20 Bryan O'Sullivan 2008-09-05 19:26:07 EDT
I'd like to take this package over.
Comment 21 David Timms 2008-09-06 08:50:35 EDT
Bryan: I haven't done any further work on this. In my understanding, the reporter of a review request needs to be the eventual package maintainer. As such I would propose you begin a new review request bug, improving upon the .spec posted in this bug, and marking this review request as closed - duplicate of the new bug.
Comment 22 Hans de Goede 2008-11-12 07:46:26 EST
Re-assigning this to nobody, iow throwing it back into the review queue, I'm done with this ticket, its a real shame as it would be really nice to get the secondlife client into Fedora.
Comment 23 Jason Tibbitts 2008-11-16 10:18:38 EST
I don't understand why this is back in the queue instead of just being closed.  Without a package to review and a submitter to make one, an open review ticket is completely pointless.

Bryan, if you want to submit an xmlrpc-epi package, please do so in another ticket when you're ready.
Comment 24 Jason Tibbitts 2009-11-19 19:44:17 EST

*** This bug has been marked as a duplicate of bug 539388 ***

Note You need to log in before you can comment on or make changes to this bug.